Subject: Re: [bug#31175] [PATCH] gnu: Add postgis.

From: Julien Lepiller <[email-masked]>
Date: Wed, 9 May 2018 22:44:43 +0200

Le Wed, 9 May 2018 08:50:52 +0200,
Björn Höfling <[email-masked]> a écrit :

> Hu Julien,
> 
> looking at PostGIS:
> 
> On Mon, 16 Apr 2018 11:18:21 +0200
> Julien Lepiller <[email-masked]> wrote:
> 
> > Hi, here are two patches to add postgis and its dependency gdal.  
> 
> +    (description " PostGIS is a spatial database extender for
> PostgreSQL
> 
> --> There is a space at the beginning.  
> 
> Besides of that, this looks good.
> 
> I have successfully tried shp2pgsql. 
> 
> I have not tried and have no idea of how to use Postgresql+PostGIS
> within GuixSD or with a temp database in a Guix container.

I've tried to, but the extension directory is hardcoded. Nix has this
patch for postgresql:

https://github.com/NixOS/nixpkgs/blob/master/pkgs/servers/sql/postgresql/specify_pkglibdir_at_runtime.patch

With this, we could add a field to the postgresql configuration that
would take a list of extension packages and set the environment
variable accordingly. The patch only allows one path though. Do you
think it's worth it to adjust it and allow more paths?

> Thanks,
> Björn